Storyden
Robots

Update Robot MCP server

Update an external MCP server configuration. Bearer tokens are write-only and are redacted from responses.

PATCH/robots/mcp-servers/{mcp_server_id}

Update an external MCP server configuration. Bearer tokens are write-only and are redacted from responses.

Authorization

storyden-session<token>

In: cookie

Path Parameters

mcp_server_id*string

Robot MCP server ID

Formatxid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/robots/mcp-servers/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "deletedAt": "2019-08-24T14:15:22Z",  "misc": {},  "name": "string",  "slug": "string",  "description": "string",  "endpoint_url": "http://example.com",  "oauth_remote_connection_id": "string",  "enabled": true,  "toolset_id": "string",  "has_bearer_token": true,  "has_oauth_token": true,  "last_refreshed_at": "2019-08-24T14:15:22Z",  "last_error": "string",  "tools": [    {      "id": "string",      "remote_name": "string",      "callable_name": "string",      "title": "string",      "description": "string",      "enabled": true,      "available": true,      "last_seen_at": "2019-08-24T14:15:22Z"    }  ]}